// $Id$
// The example class categories definitions for Doxygen

/// \file Doxymodules_exoticphysics.h
/// \brief The page that defines the extended/exoticphysics examples modules 


/** @defgroup extended_exoticphysics exoticphysics
 *  Extended examples eventgenerator classes
 *  @{
 */

/** @defgroup extended_exoticphysics_channeling channeling
 *  Exotic physics example channeling has its
 *  <a href="../html_channeling/html/index.html">standalone documentation </a>
 *  @ingroup extended_exoticphysics
 *  @{
 */

/** @} */

/** @defgroup extended_exoticphysics_monopole monopole
 *  Exoticphysics monopole example has its
 *  <a href="../html_monopole/html/index.html">standalone documentation </a>
 *  @ingroup extended_exoticphysics
 *  @{
 */

/** @} */

/** @defgroup extended_exoticphysics_dmparticle dmparticle
 *  Exoticphysics dmparticle example has its
 *  <a href="../html_dmparticle/html/index.html">standalone documentation </a>
 *  @ingroup extended_exoticphysics
 *  @{
 */

/** @} */

/** @defgroup extended_exoticphysics_ucn ucn
 *  Exotic physics example ucn
 *  @ingroup extended_exoticphysics
 *  @{
 */

  class ExUCNActionInitialization {};
  class ExUCNDetectorConstruction {};
  class ExUCNExtraPhysics {};
  class ExUCNPhysicsList {};
  class ExUCNPrimaryGeneratorAction {};
  class ExUCNRunAction {};

/** @} */

/** @defgroup extended_exoticphysics_phonon phonon
 *  Exotic physics example phonon
 *  @ingroup extended_exoticphysics
 *  @{
 */

  class XActionInitialization {};
  class XAluminumElectrodeHit {};
  class XAluminumElectrodeSensitivity {};
  class XDetectorConstruction {};
  class XPhononStackingAction {};
  class XPhysicsList {};
  class XPrimaryGeneratorAction {};

/** @} */

/** @} */
